PyString (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyString

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PySequence
                  |
                  +--org.python.core.PyString

All Implemented Interfaces:
  ClassDictInit, java.io.Serializable

Direct Known Subclasses:
  SyspathArchive

public class PyString
extends PySequence
implements ClassDictInit

A builtin python string.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.python.core.PyObject
`__class__`

Constructor Summary
`PyString()`
`PyString(char c)`
`PyString(java.lang.String string)`

Method Summary
`PyObject` | `__add__(PyObject generic_other)` Equivalent to the standard Python __add__ method
`int` | `__cmp__(PyObject other)` Equivalent to the standard Python __cmp__ method.
`PyComplex` | `__complex__()` Equivalent to the standard Python __complex__ method.
`boolean` | `__contains__(PyObject o)` Equivalent to the standard Python __contains__ method.
`PyObject` | `__eq__(PyObject other)` Equivalent to the standard Python __eq__ method.
`PyFloat` | `__float__()` Equivalent to the standard Python __float__ method.
`PyObject` | `__ge__(PyObject other)` Equivalent to the standard Python __ge__ method.
`PyObject` | `__gt__(PyObject other)` Equivalent to the standard Python __gt__ method.
`PyInteger` | `__int__()` Equivalent to the standard Python __int__ method.
`PyObject` | `__le__(PyObject other)` Equivalent to the standard Python __le__ method.
`int` | `__len__()` Equivalent to the standard Python __len__ method.
`PyLong` | `__long__()` Equivalent to the standard Python __long__ method.
`PyObject` | `__lt__(PyObject other)` Equivalent to the standard Python __lt__ method.
`PyObject` | `__mod__(PyObject other)` Equivalent to the standard Python __mod__ method
`PyObject` | `__ne__(PyObject other)` Equivalent to the standard Python __ne__ method.
`PyString` | `__repr__()` Equivalent to the standard Python __repr__ method.
`PyString` | `__str__()` Equivalent to the standard Python __str__ method.
`java.lang.Object` | `__tojava__(java.lang.Class c)` Equivalent to the Jython __tojava__ method.
`double` | `atof()`
`int` | `atoi()`
`int` | `atoi(int base)`
`PyLong` | `atol()`
`PyLong` | `atol(int base)`
`java.lang.String` | `capitalize()`
`java.lang.String` | `center(int width)`
`static void` | `classDictInit(PyObject dict)` Internal use only.
`int` | `count(java.lang.String sub)`
`int` | `count(java.lang.String sub, int start)`
`int` | `count(java.lang.String sub, int start, int end)`
`static java.lang.String` | `decode_UnicodeEscape(java.lang.String str, int start, int end, java.lang.String errors, boolean unicode)`
`static java.lang.String` | `encode_UnicodeEscape(java.lang.String str, boolean use_quotes)`
`PyString` | `encode()`
`PyString` | `encode(java.lang.String encoding)`
`PyString` | `encode(java.lang.String encoding, java.lang.String errors)`
`boolean` | `endswith(java.lang.String suffix)`
`boolean` | `endswith(java.lang.String suffix, int start)`
`boolean` | `endswith(java.lang.String suffix, int start, int end)`
`boolean` | `equals(java.lang.Object other)` Should almost never be overridden.
`java.lang.String` | `expandtabs()`
`java.lang.String` | `expandtabs(int tabsize)`
`int` | `find(java.lang.String sub)`
`int` | `find(java.lang.String sub, int start)`
`int` | `find(java.lang.String sub, int start, int end)`
`int` | `hashCode()`
`int` | `index(java.lang.String sub)`
`int` | `index(java.lang.String sub, int start)`
`int` | `index(java.lang.String sub, int start, int end)`
`java.lang.String` | `internedString()`
`boolean` | `isalnum()`
`boolean` | `isalpha()`
`boolean` | `isdecimal()`
`boolean` | `isdigit()`
`boolean` | `islower()`
`boolean` | `isnumeric()`
`boolean` | `isspace()`
`boolean` | `istitle()`
`boolean` | `isunicode()`
`boolean` | `isupper()`
`java.lang.String` | `join(PyObject seq)`
`java.lang.String` | `ljust(int width)`
`java.lang.String` | `lower()`
`java.lang.String` | `lstrip()`
`java.lang.String` | `replace(java.lang.String oldPiece, java.lang.String newPiece)`
`java.lang.String` | `replace(java.lang.String oldPiece, java.lang.String newPiece, int maxsplit)`
`int` | `rfind(java.lang.String sub)`
`int` | `rfind(java.lang.String sub, int start)`
`int` | `rfind(java.lang.String sub, int start, int end)`
`int` | `rindex(java.lang.String sub)`
`int` | `rindex(java.lang.String sub, int start)`
`int` | `rindex(java.lang.String sub, int start, int end)`
`java.lang.String` | `rjust(int width)`
`java.lang.String` | `rstrip()`
`java.lang.String` | `safeRepr()`
`PyList` | `split()`
`PyList` | `split(java.lang.String sep)`
`PyList` | `split(java.lang.String sep, int maxsplit)`
`PyList` | `splitlines()`
`PyList` | `splitlines(boolean keepends)`
`boolean` | `startswith(java.lang.String prefix)`
`boolean` | `startswith(java.lang.String prefix, int offset)`
`boolean` | `startswith(java.lang.String prefix, int start, int end)`
`java.lang.String` | `strip()`
`java.lang.String` | `swapcase()`
`java.lang.String` | `title()`
`java.lang.String` | `toString()`
`java.lang.String` | `translate(PyObject table)`
`java.lang.String` | `translate(java.lang.String table)`
`java.lang.String` | `translate(java.lang.String table, java.lang.String deletechars)`
`java.lang.String` | `upper()`
`java.lang.String` | `zfill(int width)`

Methods inherited from class org.python.core.PySequence
`__delitem__, __delslice__, __finditem__, __finditem__, __getitem__, __getslice__, __nonzero__, __setitem__, __setitem__, __setslice__, isMappingType, isNumberType`

Methods inherited from class org.python.core.PyObject
`__abs__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __coerce_ex__, __delattr__, __delattr__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __findattr__, __finditem__, __getattr__, __getattr__, __getitem__, __getslice__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __lshift__, __mul__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setattr__, __setitem__, __setslice__, __sub__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, invoke, invoke, invoke, invoke, invoke, isCallable, isSequenceType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PyString

    public PyString()

### PyString

    public PyString(java.lang.String string)

### PyString

    public PyString(char c)

Method Detail

### classDictInit

    public static void classDictInit(PyObject dict)

  Internal use only. Do not call this method explicit.

### safeRepr

    public java.lang.String safeRepr()
                              throws PyIgnoreMethodTag

  Overrides:
    `safeRepr` in class `PyObject`
    `PyIgnoreMethodTag`

### __str__

    public PyString __str__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __str__ method. This method should not typically need to be overridden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

  Overrides:
    `__str__` in class `PyObject`

### __len__

    public int __len__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __len__ method. Part of the mapping discipline.

  Overrides:
    `__len__` in class `PyObject`
  Returns:
    the length of the object

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### internedString

    public java.lang.String internedString()

### __repr__

    public PyString __repr__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __repr__ method. This method should not typically need to be overrriden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

  Overrides:
    `__repr__` in class `PyObject`

### encode_UnicodeEscape

    public static java.lang.String encode_UnicodeEscape(java.lang.String str,
                                                        boolean use_quotes)

### decode_UnicodeEscape

    public static java.lang.String decode_UnicodeEscape(java.lang.String str,
                                                        int start,
                                                        int end,
                                                        java.lang.String errors,
                                                        boolean unicode)

### equals

    public boolean equals(java.lang.Object other)

  Description copied from class: `PyObject`
  Should almost never be overridden. If overridden, it is the subclasses responsibility to ensure that `a.equals(b) == true` iff `cmp(a,b) == 0`

  Overrides:
    `equals` in class `PyObject`

### __cmp__

    public int __cmp__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __cmp__ method.

  Overrides:
    `__cmp__` in class `PyObject`
  Parameters:
    `other` - the object to compare this with.
  Returns:
    -1 if this < 0; 0 if this == o; +1 if this > o; -2 if no comparison is implemented

### __eq__

    public PyObject __eq__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __eq__ method.

  Overrides:
    `__eq__` in class `PySequence`
  Parameters:
    `other` - the object to compare this with.
  Returns:
    the result of the comparison.

### __ne__

    public PyObject __ne__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __ne__ method.

  Overrides:
    `__ne__` in class `PySequence`
  Parameters:
    `other` - the object to compare this with.
  Returns:
    the result of the comparison.

### __lt__

    public PyObject __lt__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __lt__ method.

  Overrides:
    `__lt__` in class `PySequence`
  Parameters:
    `other` - the object to compare this with.
  Returns:
    the result of the comparison.

### __le__

    public PyObject __le__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __le__ method.

  Overrides:
    `__le__` in class `PySequence`
  Parameters:
    `other` - the object to compare this with.
  Returns:
    the result of the comparison.

### __gt__

    public PyObject __gt__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __gt__ method.

  Overrides:
    `__gt__` in class `PySequence`
  Parameters:
    `other` - the object to compare this with.
  Returns:
    the result of the comparison.

### __ge__

    public PyObject __ge__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __ge__ method.

  Overrides:
    `__ge__` in class `PySequence`
  Parameters:
    `other` - the object to compare this with.
  Returns:
    the result of the comparison.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PyObject`

### __tojava__

    public java.lang.Object __tojava__(java.lang.Class c)

  Description copied from class: `PyObject`
  Equivalent to the Jython __tojava__ method. Tries to coerce this object to an instance of the requested Java class. Returns the special object `Py.NoConversion` if this `PyObject` can not be converted to the desired Java class.

  Overrides:
    `__tojava__` in class `PySequence`
  Parameters:
    `c` - the Class to convert this `PyObject` to.

### __contains__

    public boolean __contains__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __contains__ method.

  Overrides:
    `__contains__` in class `PyObject`
  Parameters:
    `o` - the element to search for in this container.
  Returns:
    the result of the search.

### __add__

    public PyObject __add__(PyObject generic_other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __add__ method

  Overrides:
    `__add__` in class `PyObject`
  Parameters:
    `generic_other` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined

### __mod__

    public PyObject __mod__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __mod__ method

  Overrides:
    `__mod__` in class `PyObject`
  Parameters:
    `other` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the mod, or null if this operation is not defined

### __int__

    public PyInteger __int__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __int__ method. Should only be overridden by numeric objects that can be reasonably coerced into an integer.

  Overrides:
    `__int__` in class `PyObject`
  Returns:
    an integer corresponding to the value of this object.

### __long__

    public PyLong __long__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __long__ method. Should only be overridden by numeric objects that can be reasonably coerced into a python long.

  Overrides:
    `__long__` in class `PyObject`
  Returns:
    a PyLong corresponding to the value of this object.

### __float__

    public PyFloat __float__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __float__ method. Should only be overridden by numeric objects that can be reasonably coerced into a python float.

  Overrides:
    `__float__` in class `PyObject`
  Returns:
    a float corresponding to the value of this object.

### __complex__

    public PyComplex __complex__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __complex__ method. Should only be overridden by numeric objects that can be reasonably coerced into a python complex number.

  Overrides:
    `__complex__` in class `PyObject`
  Returns:
    a complex number corresponding to the value of this object.

### lower

    public java.lang.String lower()

### upper

    public java.lang.String upper()

### title

    public java.lang.String title()

### swapcase

    public java.lang.String swapcase()

### strip

    public java.lang.String strip()

### lstrip

    public java.lang.String lstrip()

### rstrip

    public java.lang.String rstrip()

### split

    public PyList split()

### split

    public PyList split(java.lang.String sep)

### split

    public PyList split(java.lang.String sep,
                        int maxsplit)

### splitlines

    public PyList splitlines()

### splitlines

    public PyList splitlines(boolean keepends)

### index

    public int index(java.lang.String sub)

### index

    public int index(java.lang.String sub,
                     int start)

### index

    public int index(java.lang.String sub,
                     int start,
                     int end)

### rindex

    public int rindex(java.lang.String sub)

### rindex

    public int rindex(java.lang.String sub,
                      int start)

### rindex

    public int rindex(java.lang.String sub,
                      int start,
                      int end)

### count

    public int count(java.lang.String sub)

### count

    public int count(java.lang.String sub,
                     int start)

### count

    public int count(java.lang.String sub,
                     int start,
                     int end)

### find

    public int find(java.lang.String sub)

### find

    public int find(java.lang.String sub,
                    int start)

### find

    public int find(java.lang.String sub,
                    int start,
                    int end)

### rfind

    public int rfind(java.lang.String sub)

### rfind

    public int rfind(java.lang.String sub,
                     int start)

### rfind

    public int rfind(java.lang.String sub,
                     int start,
                     int end)

### atof

    public double atof()

### atoi

    public int atoi()

### atoi

    public int atoi(int base)

### atol

    public PyLong atol()

### atol

    public PyLong atol(int base)

### ljust

    public java.lang.String ljust(int width)

### rjust

    public java.lang.String rjust(int width)

### center

    public java.lang.String center(int width)

### zfill

    public java.lang.String zfill(int width)

### expandtabs

    public java.lang.String expandtabs()

### expandtabs

    public java.lang.String expandtabs(int tabsize)

### capitalize

    public java.lang.String capitalize()

### replace

    public java.lang.String replace(java.lang.String oldPiece,
                                    java.lang.String newPiece)

### replace

    public java.lang.String replace(java.lang.String oldPiece,
                                    java.lang.String newPiece,
                                    int maxsplit)

### join

    public java.lang.String join(PyObject seq)

### startswith

    public boolean startswith(java.lang.String prefix)

### startswith

    public boolean startswith(java.lang.String prefix,
                              int offset)

### startswith

    public boolean startswith(java.lang.String prefix,
                              int start,
                              int end)

### endswith

    public boolean endswith(java.lang.String suffix)

### endswith

    public boolean endswith(java.lang.String suffix,
                            int start)

### endswith

    public boolean endswith(java.lang.String suffix,
                            int start,
                            int end)

### translate

    public java.lang.String translate(java.lang.String table)

### translate

    public java.lang.String translate(java.lang.String table,
                                      java.lang.String deletechars)

### translate

    public java.lang.String translate(PyObject table)

### islower

    public boolean islower()

### isupper

    public boolean isupper()

### isalpha

    public boolean isalpha()

### isalnum

    public boolean isalnum()

### isdecimal

    public boolean isdecimal()

### isdigit

    public boolean isdigit()

### isnumeric

    public boolean isnumeric()

### istitle

    public boolean istitle()

### isspace

    public boolean isspace()

### isunicode

    public boolean isunicode()

### encode

    public PyString encode()

### encode

    public PyString encode(java.lang.String encoding)

### encode

    public PyString encode(java.lang.String encoding,
                           java.lang.String errors)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage